// sf2mrtg.h
//
// (C) 2007 INOUE Hirokazu
// GNU General Public License, free software

#include <windows.h>

#pragma pack(push, 1)
typedef struct __speedfan_shared_memory{
	WORD	version;
	WORD	flags;
	int		MemSize;
	HANDLE	handle;
	WORD	numTemps;
	WORD	numFans;
	WORD	numVolts;
	int		tempsArray[32];
	int		fansArray[32];
	int		voltsArray[32];
}_speedfan_shared_memory;
#pragma pack(pop)


struct __sr_prof_data{
	char sSpeedfanPath[1024];
	char sOutputFile[1024];
	char sMode[32];
	WORD	numTemps;
	WORD	numFans;
	WORD	numVolts;
	char sOutputUptimeStr[256];
	char sOutputTempStr[256];
	char sLogBody[256];
	int nOneLineBytes;
} _sr_prof_data;

struct __sr_read_data{
	int	numTemps;
	int	numFans;
	int	numVolts;
	int	nTemp[32];
	int	nFan[32];
	int	nVoltage[32];
} _sr_read_data;

int GetInitData(__sr_prof_data *srProf);
void WriteInitIniFile(void);
int ReadSpeedfanSharedMemory(__sr_prof_data *srProf, __sr_read_data *srReadData);

// EOF